CVE-2017-1000116 Amazon Linux Security Advisory for mercurial: AL2012-2017-220

漏洞类别:Amazon Linux

漏洞等级:

漏洞信息

Package updates are available for Amazon Linux that fix the following vulnerabilities:
CVE-2017-1000116: A shell command injection flaw related to the handling of “ssh” URLs has been discovered in Mercurial. This can be exploited to execute shell commands with the privileges of the user running the Mercurial client, for example, when performing a “checkout” or “update” action on a sub-repository within a malicious repository or a legitimate repository containing a malicious commit.
1479915: CVE-2017-1000116 mercurial: command injection on clients through malicious ssh URLs

QID Detection Logic (Authenticated):
This QID verifies if the versions of the following packages is less than 3.8.1-4.1.al12: mercurial,mercurial-debuginfo,mercurial-hgk

漏洞危害

Allows unauthorized disclosure of information; allows unauthorized modification; allows disruption of service.

解决方案

Administrators are advised to apply the appropriate software updates.

Patch:
Following are links for downloading patches to fix the vulnerabilities:

AL2012-2017-220

Leave a Reply